configVersion: 1
project: "frontend"
---
image: builder
from: node:current-alpine3.17
git:
  - add: /
    to: /app
    stageDependencies:
      install:
        - package.json
      setup:
        - "**/*"
shell:
  install:
    - cd /app
    - npm install
  setup:
    - cd /app
    - npm run build

---
image: frontend
from: nginx:stable-alpine3.17-slim
docker:
  WORKDIR: /usr/share/nginx
git:
  - add: /nginx.conf
    to: /etc/nginx/nginx.conf
import:
  - image: builder
    add: /app/dist
    to: /usr/share/nginx/html
    after: setup